#### 安装

```bash
# apt + ntp 
curl -sSL https://git.martin98.com/MartinFarm/init/raw/branch/main/init-apt.sh | bash
# docker-ce
curl -sSL https://git.martin98.com/MartinFarm/init/raw/branch/main/init-docker.sh | bash
# 初始化全部
curl -sSL https://git.martin98.com/MartinFarm/init/raw/branch/main/init-all.sh | bash
```
#### Python 镜像源配置测试
```bash
pip config set global.index-url https://mirrors.martin98.com/repository/pypi-group/simple
```
#### NPM
```bash
npm config set registry https://mirrors.martin98.com/repository/npm-group/
```

##### docker 容器中
```bash
RUN --mount=type=cache,target=/var/cache/apt \
    --mount=type=cache,target=/var/lib/apt \
    sed -i '6,$d' /etc/apt/sources.list.d/dhttps://mirrors.mebian.sources && \
    sed -i 's|http://deb.debian.org/debian|artin98.com/repository/debian-tsinghua/|g' /etc/apt/sources.list.d/debian.sources && \
    apt update && \
    apt install -y --no-install-recommends \
      gcc \
      g++ \
      python3-dev
```

#### 进入容器
```bash
docker compose run debian bash
```
```bash
docker compose run ubuntu bash
```

#### APT 镜像源配置测试
```bash
docker compose run debian ./init-apt.sh
```
```bash
docker compose run ubuntu ./init-apt.sh
```